<?php
    /**
     * Автоматические выплаты
     */
    require_once(__DIR__.'/../conf.php');

    /* если выплаты закрыты, прекращаем работу */
    if (!$payment) {
        die();
    }

    /* Получаем сиспок платежек которые работают в режиме auto выплаты */
    $list_system_auto = get_list("payment_system", "`type_payment` = ".escape_db("auto")." AND `status` = ".escape_db('on'));

    if (!$list_system_auto) {
        die();
    }

    $users = get_list('users', ' password <> '.escape_db("fakefake")." AND `groups` <> ".escape_db("ban").condition_delete());

    foreach ($users as $item) {
        $login = $item["login"];
        /* Перебираем все платежные системы */
        foreach ($list_system_auto as $row) {
            $system = $row['name'];

            /* Получим сумму по платежной системе */
            $summa = login_balance_by_system($login, $system);

            /* Создаем заявку на выплату */
            $res = payment__login($login, $summa, $system);
            if ($res['error']) {
                log_write($res, "Balance: ".$summa, "System: ".$system, "Login: ".$login);
                continue;
            }

            $payment_id = $res['data']['id'];

            /* Делаем выплату */
            $res = payment_by_id($payment_id);
            if ($res['error']) {
                log_write($res, $payment_id);
                continue;
            }
        }
    }



